import request from '@/utils/request'

// 查询客户群发消息的附件记录列表
export function listGroupMsgItem(query) {
  return request({
    url: '/qw/groupMsgItem/list',
    method: 'get',
    params: query
  })
}

// 查询客户群发消息的附件记录详细
export function getGroupMsgItem(id) {
  return request({
    url: '/qw/groupMsgItem/' + id,
    method: 'get'
  })
}

// 新增客户群发消息的附件记录
export function addGroupMsgItem(data) {
  return request({
    url: '/qw/groupMsgItem',
    method: 'post',
    data: data
  })
}

// 修改客户群发消息的附件记录
export function updateGroupMsgItem(data) {
  return request({
    url: '/qw/groupMsgItem',
    method: 'put',
    data: data
  })
}

// 删除客户群发消息的附件记录
export function delGroupMsgItem(id) {
  return request({
    url: '/qw/groupMsgItem/' + id,
    method: 'delete'
  })
}

// 导出客户群发消息的附件记录
export function exportGroupMsgItem(query) {
  return request({
    url: '/qw/groupMsgItem/export',
    method: 'get',
    params: query
  })
}